[android-components](../../../../index.md) / [mozilla.components.concept.engine](../../../index.md) / [EngineSession](../../index.md) / [TrackingProtectionPolicy](../index.md) / [TrackingCategory](index.md) / [STRICT](./-s-t-r-i-c-t.md)

# STRICT

`STRICT` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/EngineSession.kt#L229)

Combining the [RECOMMENDED](-r-e-c-o-m-m-e-n-d-e-d.md) categories plus [SCRIPTS_AND_SUB_RESOURCES](-s-c-r-i-p-t-s_-a-n-d_-s-u-b_-r-e-s-o-u-r-c-e-s.md)
and [FINGERPRINTING](-f-i-n-g-e-r-p-r-i-n-t-i-n-g.md).

### Inherited Properties

| Name | Summary |
|---|---|
| [id](id.md) | `val id: `[`Int`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-int/index.html) |
